DateMappingControllerGetDateMappings Method |
GET /DateMapping/{id}
Get all date mappings for an OLAP cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetDateMappings(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetDateMappings (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GetDateMappings(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetDateMappings :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The OLAP cube ID. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
A
DateMappingData object, or a status code indicating the reason for failure.
See Also